## AnjutaEnvironmentEditor AnjutaEnvironmentEditor |

## Functions

GtkWidget * | anjuta_environment_editor_new ()
void | anjuta_environment_editor_set_variable ()
gchar ** | anjuta_environment_editor_get_all_variables ()
gchar ** | anjuta_environment_editor_get_modified_variables ()
void | anjuta_environment_editor_reset ()

## Signals

void | changed | Run Last

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── AnjutaEnvironmentEditor

## Description

## Functions

### anjuta_environment_editor_new ()

    GtkWidget *
    anjuta_environment_editor_new (void);

### anjuta_environment_editor_set_variable ()

    void
    anjuta_environment_editor_set_variable
                                   (AnjutaEnvironmentEditor *editor,
                                    const gchar *variable);

### anjuta_environment_editor_get_all_variables ()

    gchar **
    anjuta_environment_editor_get_all_variables
                                   (AnjutaEnvironmentEditor *editor);

### anjuta_environment_editor_get_modified_variables ()

    gchar **
    anjuta_environment_editor_get_modified_variables
                                   (AnjutaEnvironmentEditor *editor);

### anjuta_environment_editor_reset ()

    void
    anjuta_environment_editor_reset (AnjutaEnvironmentEditor *editor);

## Signal Details

### The `“changed”` signal

    void
    user_function (AnjutaEnvironmentEditor *widget,
                   gpointer                 user_data)

The ::changed signal is emitted when an environment variable is changed (include deleted variables)

#### Parameters

widget | the AnjutaEnvironmentEditor that received the signal |
user_data | user data set when the signal handler was connected. |

Flags: Run Last